--- events.orig	2004-02-26 18:47:41.000000000 +0100
+++ events	2004-03-18 12:48:26.309486400 +0100
@@ -329,6 +329,15 @@
         WNDCLASSEX wc;                            /* window class components */
         HICON      vlc_icon = NULL;
         char       vlc_path[MAX_PATH+1];
+        
+                
+	/*Add  variables to indicate the position of the video display */
+	var_Create( p_vout, "video-x", VLC_VAR_INTEGER | VLC_VAR_DOINHERIT );
+	var_Create( p_vout, "video-y", VLC_VAR_INTEGER | VLC_VAR_DOINHERIT );
+	var_Get( p_vout, "video-x", &val );
+	int video_x = val.i_int ;
+	var_Get( p_vout, "video-y", &val );
+	int video_y = val.i_int;
 
         /* Get the Icon from the main app */
         vlc_icon = NULL;
@@ -382,18 +391,18 @@
 
         /* Create the window */
         p_vout->p_sys->hwnd =
-            CreateWindow( "VLC DirectX",             /* name of window class */
-                    VOUT_TITLE " (DirectX Output)", /* window title bar text */
+            CreateWindow( "VLC DirectX",            		 /* name of window class */
+                    VOUT_TITLE " (DirectX Output)", 		/* window title bar text */
                     WS_OVERLAPPEDWINDOW | WS_SIZEBOX | WS_VISIBLE |
-                    WS_CLIPCHILDREN,                         /* window style */
-                    CW_USEDEFAULT,                   /* default X coordinate */
-                    0,                               /* default Y coordinate */
-                    rect_window.right - rect_window.left,    /* window width */
-                    rect_window.bottom - rect_window.top,   /* window height */
-                    NULL,                                /* no parent window */
-                    NULL,                          /* no menu in this window */
-                    hInstance,            /* handle of this program instance */
-                    (LPVOID)p_vout );            /* send p_vout to WM_CREATE */
+                    WS_CLIPCHILDREN,                       	/* window style */
+                    video_x,             		      		/* default X coordinate */
+                    video_y,                              	 	/* default Y coordinate */
+                    rect_window.right - rect_window.left,   	/* window width */
+                    rect_window.bottom - rect_window.top,   	/* window height */
+                    NULL,                                	/* no parent window */
+                    NULL,                          		/* no menu in this window */
+                    hInstance,            			/* handle of this program instance */
+                    (LPVOID)p_vout );          			/* send p_vout to WM_CREATE */
 
         if( !p_vout->p_sys->hwnd )
         {
